textures/atmo/beam
//by Mike "Myth" Denby
//modified Nov09
{
	qer_editorimage textures/atmo/beam.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
	map textures/atmo/beam.tga
	tcMod Scroll .003 0
	blendFunc add
	}
}

textures/atmo/moats
	{
	qer_editorimage textures/atmo/particles.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	cull none
	deformVertexes autoSprite2
	deformVertexes bulge 128 1 2	
	{
		map textures/atmo/particles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 .12
	}
}

textures/base_floor/rusty_pentagrate2
{
	qer_editorimage textures/base_floor/rusty_pentagrate.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm	nonsolid
	cull none
	nopicmip
	{
		map textures/base_floor/rusty_pentagrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/base_wall/flag_q3
{
	qer_editorimage textures/base_wall/banner1_02a2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	tessSize 64
	nopicmip
	{
	map textures/base_wall/banner1_02a2.tga
	alphaFunc GE128
	depthWrite
	rgbGen vertex
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

textures/base_wall/flag_skull
{
	qer_editorimage textures/base_wall/banner1_01a2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	tessSize 64
	nopicmip
	{
	map textures/base_wall/banner1_01a2.tga
	alphaFunc GE128
	depthWrite
	rgbGen vertex
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

textures/custom/skull_banner
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/custom/skull_banner.tga
		blendFunc Add
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/decals2/dracula_banner
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
                map textures/decals2/dracula_banner.tga
                blendfunc add
	}
}

textures/decals2/dracula_banner2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
                map textures/decals2/dracula_banner2.tga
                blendfunc add
	}
}

textures/gothic_trim/pitted_rustblack_trans
{
	qer_editorimage textures/gothic_trim/pitted_rustblack.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/gothic_trim/pitted_rustblack.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/halls/wires02
{
	qer_editorimage textures/base_trim/wires02.tga
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	nopicmip
	{
	map textures/base_trim/wires02.tga
	alphaFunc GE128
	depthWrite
	rgbGen vertex
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}
}

textures/halls/cem12_d
{
	qer_editorimage textures/cemetery/cem12_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cemetery/cem12_d.tga
		blendFunc filter
	}
}

textures/halls/msm_window_small
{
	qer_editorimage textures/gm3tourney2/msm_window_small.tga
	q3map_nonplanar
	q3map_shadeangle 120
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gm3tourney2/msm_window_small.tga
		blendFunc filter
	}
}

textures/halls/rtnick2d
{
	qer_editorimage textures/gm3tourney2/rtnick2d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gm3tourney2/rtnick2d.tga
		blendFunc filter
	}
}

textures/halls/blocks18c_3
{
	qer_editorimage textures/gothic_block/blocks18c_3.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block/blocks18c_3.tga
		blendFunc filter
	}
}

textures/halls/blocks18cgeom
{
	qer_editorimage textures/gothic_block/blocks18cgeom.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block/blocks18cgeom.tga
		blendFunc filter
	}
}

textures/halls/S_S_Cement1
{
	qer_editorimage textures/gothic_block2/S_S_Cement1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/S_S_Cement1.tga
		blendFunc filter
	}
}

textures/halls/S_S_Cement1_trans
{
	qer_editorimage textures/gothic_block2/S_S_Cement1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/S_S_Cement1.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c01_d
{
	qer_editorimage textures/gothic_block2/bricktrim_c01_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c01_d.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c04_d
{
	qer_editorimage textures/gothic_block2/bricktrim_c04_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c04_d.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c05
{
	qer_editorimage textures/gothic_block2/bricktrim_c05.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c05.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c05_d
{
	qer_editorimage textures/gothic_block2/bricktrim_c05_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c05_d.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c05_trans
{
	qer_editorimage textures/gothic_block2/bricktrim_c05.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	cull disable
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c05.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c06_d
{
	qer_editorimage textures/gothic_block2/bricktrim_c06_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c06_d.tga
		blendFunc filter
	}
}

textures/halls/bricktrim_c07_d
{
	qer_editorimage textures/gothic_block2/bricktrim_c07_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/bricktrim_c07_d.tga
		blendFunc filter
	}
}

textures/halls/cathedrale_c26
{
	qer_editorimage textures/gothic_block2/cathedrale_c26.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/cathedrale_c26.tga
		blendFunc filter
	}
}

textures/halls/rtmg_wslat_2
{
	qer_editorimage textures/gothic_block2/rtmg_wslat_2.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_block2/rtmg_wslat_2.tga
		blendFunc filter
	}
}

textures/halls/metalsupport4small
{
	qer_editorimage textures/gothic_trim/metalsupport4small.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/metalsupport4small.tga
		blendFunc filter
	}
}

textures/halls/metalsupport4_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4small.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/metalsupport4small.tga
		blendFunc filter
	}
}

textures/halls/zinc
{
	qer_editorimage textures/gothic_trim/zinc.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/zinc.tga
		blendFunc filter
	}
}

textures/halls/zinc_trans
{
	qer_editorimage textures/gothic_trim/zinc.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_trim/zinc.tga
		blendFunc filter
	}
}

textures/halls/brick03_d2
{
	qer_editorimage textures/gothic_wall2/brick03_d2.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_wall2/brick03_d2.tga
		blendFunc filter
	}
}

textures/halls/floor01_d
{
	qer_editorimage textures/gothic_wall2/floor01_d.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_wall2/floor01_d.tga
		blendFunc filter
	}
}

textures/halls/wood_pnl_drty_knocker
{
	qer_editorimage textures/hell/wood_pnl_drty_knocker.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hell/wood_pnl_drty_knocker.tga
		blendFunc filter
	}
}

textures/halls/wood_1_bleeched
{
	qer_editorimage textures/hipshot_m13/wood_1_bleeched.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hipshot_m13/wood_1_bleeched.tga
		blendFunc filter
	}
}

textures/halls/Nachtmahr
{
	qer_editorimage textures/pics/Nachtmahr.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pics/Nachtmahr.tga
		blendFunc filter
	}
}

textures/halls/nachtmahr_cut1
{
	qer_editorimage textures/pics/nachtmahr_cut1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pics/nachtmahr_cut1.tga
		blendFunc filter
	}
}

textures/halls/nachtmahr_cut2
{
	qer_editorimage textures/pics/nachtmahr_cut2.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pics/nachtmahr_cut2.tga
		blendFunc filter
	}
}

textures/halls/skin1_trans
{
	qer_editorimage textures/skin/skin1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nonsolid
	cull none
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/skin/skin1.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/hell/metalchain_trans
{
	qer_editorimage textures/hell/metalchain.tga
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/hell/metalchain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/id_pics/john1
{
	surfaceparm nonsolid
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/id_pics/john1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/proto2/cheapfloor
{
	qer_editorimage textures/proto2/marble02b_floor.tga
	{
	map textures/effects2/xtourney_fx3.tga
	tcGen environment
	rgbGen identity	
	}
	{
	map textures/proto2/marble02b_floor.tga
	blendFunc blend
	rgbGen identity
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/proto2/flare3b
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	{
	clampmap textures/proto2/flare3b.tga
	blendFunc Add
	rgbgen wave triangle 0.75 0.25 0 10
	}
}

textures/proto3/bars_m01
{
	qer_editorimage textures/proto3/bars_m01.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
	map textures/proto3/bars_m01.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/proto3/door_m04
{
	qer_editorimage textures/proto3/door_m04.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
	map textures/proto3/door_m04.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	}
}

textures/sfx/beam_red2
{
	qer_editorimage textures/sfx/beam_red.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
	map textures/sfx/beam_red.tga
	tcMod Scroll .3 0
	blendFunc add
	}
}

textures/sfx/beam_white2
{
	qer_editorimage textures/sfx/beam_1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
	map textures/sfx/beam_1.tga
	blendFunc add
	}
}

textures/sfx/blocks18ccomputer_r
{
	qer_editorimage textures/sfx/blocks18ccomputer.tga
	surfaceparm nodamage
	q3map_surfacelight 250
	surfaceparm nonsolid
	nopicmip
	{
		map textures/sfx/blocks18ccomputer.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		animMap 2 textures/sfx/compscreen/letter_r.tga textures/sfx/compscreen/letter_e.tga textures/sfx/compscreen/letter_s.tga textures/sfx/compscreen/letter_p.tga  textures/sfx/compscreen/letter_e.tga textures/sfx/compscreen/letter_c.tga textures/sfx/compscreen/letter_t.tga textures/sfx/compscreen/letter_plus.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
}

textures/sfx/fanfx_r
{
	qer_editorimage textures/sfx/fanfx.tga
	q3map_surfacelight 250
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
	nopicmip
	{
	clampmap textures/sfx/fanfx.tga
	tcMod rotate 64
	blendFunc Add
	rgbGen exactVertex
	depthWrite
	rgbGen const ( 1 .6 .2 )
	}
}

textures/sfx/smoke_blue
{
	qer_editorimage textures/sfx/smoke_blue.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( 0.3195 0.7675 0.9795 ) 20000
}

// **** Quake Style Teleporter **** //
//This shader and textures by The Hubster (changed by iKid) //

textures/sfx/q1_tele
	{
//	qer_editorimage textures/sfx/q1_tele.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	nopicmip
	tessSize 128
	q3map_surfacelight 25

		{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
		}
		{
		map textures/sfx/q1_tele.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
		}
}

textures/sfx/whitering
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	cull disable
	nopicmip
	{
	map textures/sfx/whitering.tga
	blendfunc add
	}
}

textures/sfx/whitering_red
{
	qer_editorimage textures/sfx/whitering.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	cull disable
	nopicmip
	{
	map textures/sfx/whitering.tga
	blendfunc add
	rgbGen const ( 1 .1 .1 )
	}
}

textures/skies/grimnight2
{
	qer_editorimage textures/skies/grimnight.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun	.5 .6 .8 80 135 75
	q3map_surfacelight 200
	skyparms - 512 -

	skyparms env/ambient/grimmnight - -
	{
		map textures/skies/topclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.06
	}
}

textures/xp_misc/xp_logo
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/xp_misc/xp_logo.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}